Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.queries/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.queries
Class VisibilityQuery

    java.lang.Object
      org.netbeans.api.queries.VisibilityQuery

    public final class VisibilityQuery

extends Object

Determine whether files should be hidden in views presented to the user.

This query should be considered only as a recommendation. Particular views may decide to display all files and ignore this query.

See Also:
  `VisibilityQueryImplementation`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Add a listener to changes.
`static VisibilityQuery` | `getDefault()` Get default instance of VisibilityQuery.
`boolean` | `isVisible(FileObject file)` Check whether a file is recommended to be visible.
`void` | `removeChangeListener(ChangeListener l)` Stop listening to changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefault

    public static final VisibilityQuery getDefault()

  Get default instance of VisibilityQuery.

  Returns:
    instance of VisibilityQuery

### isVisible

    public boolean isVisible(FileObject file)

  Check whether a file is recommended to be visible. Default return value is visible unless at least one VisibilityQueryImplementation provider says hidden.

  Parameters:
    `file` - a file which should be checked
  Returns:
    true if it is recommended to show this file

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Add a listener to changes.

  Parameters:
    `l` - a listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Stop listening to changes.

  Parameters:
    `l` - a listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.queries/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.